<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
    <h:outputStylesheet name="css/extraction/#{css}"/>
    <p:remoteCommand name="updateVariables"
                     update="variableList,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, messageWarningStep3"/>
    <ui:param name="variables" value="#{uiBean.uiVariable.availablesVariables}"/>
    <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.variablesChoiceStep" var="variablesChoiceStep"/>
    <h:panelGroup id="messageWarningStep3">
        <h:outputText value="#{variablesChoiceStep.PARAM_MSG_INTRO}"
                      rendered="#{not uiBean.uiVariable.variableStepIsValid and not empty variables}"
                      styleClass="selectionEmpty"/>
        <h:outputText value="#{variablesChoiceStep.PARAM_MSG_NO_RESULT_FOR_SELECT}"
                      rendered="#{empty variables}"
                      styleClass="selectionEmpty"/>
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},#{p:component('variableList')}" styleClass="buttonStepNext"
                               update="@this,#{p:component('variableList')},@(.ui-chkbox-icon)"
                               action="#{uiBean.uiVariable.addAllVariables}" oncomplete="updateVariables()">
                    <p:graphicImage value="#{resource['images:add.png']}"/>
                    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_ADD_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},#{p:component('variableList')}" styleClass="buttonStepNext"
                               action="#{uiBean.uiVariable.removeAllVariables}" oncomplete="updateVariables()">
                    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_DELETE_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>
    <p:panel id="variableList">
        <ui:repeat value="#{variables.keySet().toArray()}" var="variableJSF" >
            <h:form>
                <p:panel id="variablePanel" toggleable="true" collapsed="true">
                    <f:facet name="header">
                        <p:commandLink 
                            update="@form" > 
                            <span class="ui-chkbox-icon ui-icon ui-c ui-icon #{uiBean.uiVariable.states(variables[variableJSF])}" />  
                            <p:ajax event="click" async="false" oncomplete="updateVariables()" update="@form" process="@form"
                                    listener="#{uiBean.uiVariable.select(variables[variableJSF])}" />
                            #{variableJSF}
                        </p:commandLink>
                    </f:facet>
                    <p:dataList id="variableListForDatatype" value="#{variables[variableJSF]}" var="variable">
                        <p:commandLink process="@form" update="@form"
                                       action="#{uiBean.uiVariable.selectVariable(variable)}" oncomplete="updateVariables()">
                            <span class="ui-chkbox-icon ui-icon ui-c ui-icon #{uiBean.uiVariable.state(variable)}"></span>
                            #{variable.variable.affichage} (#{variable.localizedName})
                        </p:commandLink>
                    </p:dataList>
                </p:panel>
            </h:form>
        </ui:repeat>
    </p:panel>
</html>